Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157775 - yum groupinstall fails
Summary: yum groupinstall fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-15 06:44 UTC by morgan read
Modified: 2014-01-21 22:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-29 11:32:54 UTC


Attachments (Terms of Use)
complet output of # yum groupinstall "Development Tools" fyi (deleted)
2005-05-15 06:44 UTC, morgan read
no flags Details

Description morgan read 2005-05-15 06:44:09 UTC
Description of problem:
# yum groupinstall "Development Tools" fails with false "Error: Missing
Dependency"s, that is the dependencies are in fact installed (see additional info).

Version-Release number of selected component (if applicable):
yum-2.2.0-0.fc3

How reproducible:
Always

Steps to Reproduce:
1.Initial context - install fc3 from dvd without Development Tools; bring fc3 up
to date via yum.
2.# yum groupinstall "Development Tools"
3.
  
Actual results:
...
<snip>
--> Processing Dependency: librpmio-4.3.so for package: net-snmp
--> Finished Dependency Resolution
Error: python-devel conflicts with python < 2.4.1-1
Error: Missing Dependency: librpm-4.3.so is needed by package net-snmp
Error: Missing Dependency: librpmio-4.3.so is needed by package net-snmp
Error: Missing Dependency: librpmdb-4.3.so is needed by package ethereal-gnome
Error: Missing Dependency: librpmdb-4.3.so is needed by package ethereal
Error: Missing Dependency: librpm-4.3.so is needed by package ethereal
Error: Missing Dependency: libdbus-1.so.0 is needed by package skype
Error: Missing Dependency: librpmio-4.3.so is needed by package ethereal
Error: Missing Dependency: librpmio-4.3.so is needed by package ethereal-gnome
Error: Missing Dependency: librpm-4.3.so is needed by package ethereal-gnome
Error: Missing Dependency: librpmdb-4.3.so is needed by package net-snmp
Error: Missing Dependency: libstdc++ = 3.4.3 is needed by package gcc4-c++
Error: Missing Dependency: libdb_cxx-4.2.so is needed by package openoffice.org-libs
Error: Missing Dependency: libedataserver.so.3 is needed by package openoffice.org
Error: Missing Dependency: libebook.so.8 is needed by package openoffice.org
Error: Missing Dependency: libgtop-2.0.so.2 is needed by package synce-trayicon


Expected results:
Install group Development Tools installed

Additional info:
$ rpm -q --whatprovides libdb_cxx-4.2.so
db4-4.2.52-6
$ rpm -q --whatprovides libdbus-1.so.0
dbus-0.22-10.FC3.2
$ rpm -q --whatprovides libebook.so.8
evolution-data-server-1.0.4-3
$ rpm -q --whatprovides libedataserver.so.3
evolution-data-server-1.0.4-3
$ rpm -q --whatprovides libgtop-2.0.so.2
libgtop2-2.5.2-2
$ rpm -q --whatprovides librpm-4.3.so
rpm-libs-4.3.2-21
$ rpm -q --whatprovides librpmdb-4.3.so
rpm-libs-4.3.2-21
$ rpm -q gcc
gcc-3.4.3-22.fc3
$ rpm -q libf2c
libf2c-3.4.3-22.fc3
$ rpm -q python
python-2.3.4-13.1
$ rpm -q db4-4.2.52-6
db4-4.2.52-6
$ rpm -q dbus-0.22-10.FC3.2
dbus-0.22-10.FC3.2
$ rpm -q evolution-data-server-1.0.4-3
evolution-data-server-1.0.4-3
$ rpm -q libf2c-3.4.3-22.fc3
libf2c-3.4.3-22.fc3
$ rpm -q libgtop2-2.5.2-2
libgtop2-2.5.2-2
$ rpm -q rpm-libs-4.3.2-21
rpm-libs-4.3.2-21

As this bug seems similar to bug 140204 re system-config-packages, may be the
bug is in the rpm database or something??

Comment 1 morgan read 2005-05-15 06:44:09 UTC
Created attachment 114393 [details]
complet output of # yum groupinstall "Development Tools" fyi

Comment 2 morgan read 2005-05-22 21:41:03 UTC
Solved - comment out (don't include) rawhide in yum.conf


Note You need to log in before you can comment on or make changes to this bug.